ここの情報は古いです。ご理解頂いた上でお取り扱いください。

Opened 12 years ago

Closed 12 years ago

#879 closed defect (fixed)

BIZ:繰り返さない予定が期間どおり表示されない

Reported by: kiwa Owned by: ToshihiroK
Priority: minor Milestone: OpenPNE2.6.9
Component: user【ユーザー向け機能】 Version: 2.6.x & 2.8.x
Keywords: OpenPNE2.8.1 Cc:

Description

http://www.openpne.jp/ticket/605 より転記

1

スケジュール登録時に[繰り返し設定]-[繰り返さない ]-[3日間]などで登録した場合に
月間カレンダーでは「指定した日数-1日」しか予定が表示されない

2

スケジュール登録で期間が被る場合、登録した日しか月間カレンダーでは予定が表示されない。

    5/23~ 5日間の予定Aを登録(5/23~5/27)
    5/24~ 2日間の予定Bを登録(5/24~5/25)
    この場合、月間カレンダーでは 5/23のみに予定Aが 5/24日のみに予定Bが表示される。
    biz版以外では正しく表示されるようです。


1→2.6.7にて確認済み 2→現象どおりではないが、期間どおりに表示されないことがある

Change History (14)

comment:1 Changed 12 years ago by kiwa

コメントに修正が入っていました

SQLの問題のようですので修正しました。
/2.6.6.2/webapp_biz/modules/biz/lib/mysql_functions.php

L59 $sql = 'SELECT biz_schedule_id FROM biz_schedule WHERE begin_date <= \''."$y-$m-$d%".'\'AND finish_date >=  \''."$y-$m-$d%".'\' ORDER BY begin_time ASC ;';

comment:2 Changed 12 years ago by ogawa

Milestone: OpenPNE2.6.8OpenPNE2.6.9

comment:3 Changed 12 years ago by ToshihiroK

Owner: changed from nobody to ToshihiroK
Status: newassigned

修正します

comment:4 Changed 12 years ago by ToshihiroK

Owner: changed from ToshihiroK to ogawa
Status: assignednew

修正しました ・2.6 - r3223 ・2.8 - r3224

comment:5 Changed 12 years ago by ogawa

Owner: changed from ogawa to kiwa

確認お願いします。

comment:6 Changed 12 years ago by kiwa

Owner: changed from kiwa to ToshihiroK

http://openpne-26x.sosk.pne.jp/ にて

時間指定なし
  • h_home→正しく表示される
  • fh_biz_schedule_calendar→正しく表示される
  • fh_biz_schedule_view→正しく表示される
  • fh_biz_calendar_week(携帯)→正しく表示される
  • fh_biz_schedule_view(携帯)→正しく表示される
時間指定あり
15:00~20:20の5日間指定
  • h_home→5日間とも15:00~20:20の予定になっている
  • fh_biz_schedule_calendar→5日間共15:00始まりの予定になっている(終了時刻が反映されていない)
  • fh_biz_schedule_view→2007-06-19 15:00 ~ 2007-06-23 18:05 の指定になっている(正しい)
  • fh_biz_calendar_week(携帯)→15:00始まりの予定が5日間表示される
  • fh_biz_schedule_view(携帯)→2007-06-19 15:00 ~ 2007-06-23 18:05 の指定になっている(正しい)

http://openpne-28x.sosk.pne.jp/ にて

時間指定なし
  • h_home→正しく表示される
  • fh_biz_schedule_calendar→正しく表示される
  • fh_biz_schedule_view→2007-06-19 2007-06-23と表示される(「~」が抜けている)
  • fh_biz_calendar_week(携帯)→開始日の予定しか表示されない
  • fh_biz_schedule_view(携帯)→2007-06-19 2007-06-23と表示される(「~」が抜けている)
時間指定あり
15:05~18:10の5日間指定
  • h_home→5日間とも0:00~0:00の予定になっている
  • fh_biz_schedule_calendar→5日間とも0:00~0:00の予定になっている
  • fh_biz_schedule_view→2007-06-19 15:05 ~ 2007-06-23 18:10 の予定になっている(正しい)
  • fh_biz_calendar_week(携帯)→1日のみの15:05~18:10の予定として表示される
  • fh_biz_schedule_view(携帯)→2007-06-19 15:05 ~ 2007-06-23 18:10 の予定になっている(正しい)

修正おねがいします

comment:7 Changed 12 years ago by ToshihiroK

Status: newassigned

時間指定ありの場合の仕様を確認しました。以下まとめです。

カレンダー表示

h_home,fh_biz_schedule_calendar,fh_biz_calendar_week(携帯)で使用。

2007-07-01から3日間 15:00~20:20を指定した場合

  • 7/1 15:00~20:20
  • 7/2 15:00~20:20
  • 7/3 15:00~20:20

を表示する。

登録確認画面

fh_biz_schedule_view,fh_biz_schedule_view(携帯)で使用。

2007-07-01から3日間 15:00~20:20を指定した場合

  • 2007-07-01~2007-07-03 15:00~20:20

を表示する。

comment:8 Changed 12 years ago by ToshihiroK

Owner: changed from ToshihiroK to ogawa
Status: assignednew

修正しました

comment:9 Changed 12 years ago by ToshihiroK

Version: 2.6.x & 2.8.x

Version変更

comment:10 Changed 12 years ago by ogawa

Milestone: OpenPNE2.6.9

comment:11 Changed 12 years ago by ogawa

Owner: changed from ogawa to kiwa

確認お願いします。

comment:12 Changed 12 years ago by kiwa

http://openpne-26x.sosk.pne.jp/ にて

時間指定あり
16:00~18:20の5日間指定
  • h_home→○ 5日間とも15:00~20:20の予定になっている
  • fh_biz_schedule_calendar→○ 5日間とも15:00~20:20の予定になっている
  • fh_biz_schedule_view→○ 2007-06-19~2007-06-23 16:00~18:20と表示されている
  • fh_biz_calendar_week(携帯)→○ 5日間とも15:00~20:20の予定になっている
  • fh_biz_schedule_view(携帯)→○ 2007-06-19~2007-06-23 16:00~18:20と表示されている

http://openpne-28x.sosk.pne.jp/ にて

時間指定あり
18:05~18:45の5日間指定
  • h_home→○ 5日間とも18:05~18:45の予定になっている
  • fh_biz_schedule_calendar→○ 5日間とも18:05~18:45の予定になっている
  • fh_biz_schedule_view→○ 2007-06-19~2007-06-23 18:05~18:45と表示されている
  • fh_biz_calendar_week(携帯)→○ 5日間とも18:05~18:45の予定になっている
  • fh_biz_schedule_view(携帯)→○ 2007-06-19~2007-06-23 18:05~18:45と表示されている

時間指定なし、開始時刻のみの場合も問題なく動作しました

comment:13 Changed 12 years ago by ogawa

Keywords: OpenPNE2.8.1 added
Milestone: OpenPNE2.6.9
Owner: changed from kiwa to ToshihiroK

comment:14 Changed 12 years ago by ogawa

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.